diff -urNB orig.webkit-qtwebkit-23/configure.ac webkit-qtwebkit-23/configure.ac
--- orig.webkit-qtwebkit-23/configure.ac	2013-04-07 15:18:00.547041081 +0200
+++ webkit-qtwebkit-23/configure.ac	2013-04-07 15:14:49.538429017 +0200
@@ -956,14 +956,6 @@
    AC_DEFINE([NDEBUG], [1], [Define to disable debugging features])
 fi
 
-# Add the appropriate 'O' level for optimized builds
-if test "$enable_optimizations" = "yes"; then
-   CXXFLAGS="$CXXFLAGS -O2"
-   CFLAGS="$CFLAGS -O2"
-else
-   CXXFLAGS="$CXXFLAGS -O0"
-   CFLAGS="$CFLAGS -O0"
-fi
 
 PKG_CHECK_MODULES([LIBSOUP],
                   [libsoup-2.4 >= $LIBSOUP_REQUIRED_VERSION])
diff -urNB orig.webkit-qtwebkit-23/Source/JavaScriptCore/GNUmakefile.am webkit-qtwebkit-23/Source/JavaScriptCore/GNUmakefile.am
--- orig.webkit-qtwebkit-23/Source/JavaScriptCore/GNUmakefile.am	2013-03-14 14:24:37.000000000 +0100
+++ webkit-qtwebkit-23/Source/JavaScriptCore/GNUmakefile.am	2013-04-07 15:17:32.598390487 +0200
@@ -35,7 +35,6 @@
 
 libjavascriptcoregtk_@WEBKITGTK_API_MAJOR_VERSION@_@WEBKITGTK_API_MINOR_VERSION@_la_CFLAGS = \
 	-fstrict-aliasing \
-	-O3 \
 	$(javascriptcore_cflags)
 
 libjavascriptcoregtk_@WEBKITGTK_API_MAJOR_VERSION@_@WEBKITGTK_API_MINOR_VERSION@_la_CPPFLAGS = \
diff -urNB orig.webkit-qtwebkit-23/Source/JavaScriptCore/Target.pri webkit-qtwebkit-23/Source/JavaScriptCore/Target.pri
--- orig.webkit-qtwebkit-23/Source/JavaScriptCore/Target.pri	2013-04-07 15:18:00.582040643 +0200
+++ webkit-qtwebkit-23/Source/JavaScriptCore/Target.pri	2013-04-07 15:14:49.539429004 +0200
@@ -15,9 +15,6 @@
 
 CONFIG += staticlib
 
-*-g++*:QMAKE_CXXFLAGS_RELEASE -= -O2
-*-g++*:QMAKE_CXXFLAGS_RELEASE += -O3
-
 # Rules when JIT enabled (not disabled)
 !contains(DEFINES, ENABLE_JIT=0) {
     linux*-g++*:greaterThan(QT_GCC_MAJOR_VERSION,3):greaterThan(QT_GCC_MINOR_VERSION,0) {
diff -urNB orig.webkit-qtwebkit-23/Source/ThirdParty/gyp/test/cxxflags/gyptest-cxxflags.py webkit-qtwebkit-23/Source/ThirdParty/gyp/test/cxxflags/gyptest-cxxflags.py
--- orig.webkit-qtwebkit-23/Source/ThirdParty/gyp/test/cxxflags/gyptest-cxxflags.py	2013-04-07 15:18:00.588040568 +0200
+++ webkit-qtwebkit-23/Source/ThirdParty/gyp/test/cxxflags/gyptest-cxxflags.py	2013-04-07 15:14:49.539429004 +0200
@@ -28,7 +28,6 @@
 
 try:
   PushEnv()
-  os.environ['CXXFLAGS'] = '-O0'
   test.run_gyp('cxxflags.gyp')
 finally:
   # We clear the environ after calling gyp.  When the auto-regeneration happens,
diff -urNB orig.webkit-qtwebkit-23/Source/WTF/GNUmakefile.am webkit-qtwebkit-23/Source/WTF/GNUmakefile.am
--- orig.webkit-qtwebkit-23/Source/WTF/GNUmakefile.am	2013-03-14 14:24:37.000000000 +0100
+++ webkit-qtwebkit-23/Source/WTF/GNUmakefile.am	2013-04-07 15:17:21.514529054 +0200
@@ -26,7 +26,6 @@
 
 libWTF_la_CFLAGS = \
 	-fstrict-aliasing \
-	-O3 \
 	$(global_cflags) \
 	$(GLIB_CFLAGS) \
 	$(UNICODE_CFLAGS)
diff -urNB orig.webkit-qtwebkit-23/Source/WTF/WTF.pro webkit-qtwebkit-23/Source/WTF/WTF.pro
--- orig.webkit-qtwebkit-23/Source/WTF/WTF.pro	2013-03-14 14:24:37.000000000 +0100
+++ webkit-qtwebkit-23/Source/WTF/WTF.pro	2013-04-07 15:16:15.211357958 +0200
@@ -268,9 +268,6 @@
 QT += core
 QT -= gui
 
-*-g++*:QMAKE_CXXFLAGS_RELEASE -= -O2
-*-g++*:QMAKE_CXXFLAGS_RELEASE += -O3
-
 *sh4* {
     QMAKE_CXXFLAGS += -mieee -w
     QMAKE_CFLAGS   += -mieee -w
diff -urNB orig.webkit-qtwebkit-23/Tools/qmake/mkspecs/features/unix/default_pre.prf webkit-qtwebkit-23/Tools/qmake/mkspecs/features/unix/default_pre.prf
--- orig.webkit-qtwebkit-23/Tools/qmake/mkspecs/features/unix/default_pre.prf	2013-04-07 15:18:00.644039868 +0200
+++ webkit-qtwebkit-23/Tools/qmake/mkspecs/features/unix/default_pre.prf	2013-04-07 15:14:49.539429004 +0200
@@ -12,6 +12,10 @@
 SBOX_CHECK = $$(_SBOX_DIR)
 !isEmpty(SBOX_CHECK): CONFIG += scratchbox
 
+QMAKE_CFLAGS_RELEASE = ""
+QMAKE_CXXFLAGS_RELEASE = ""
+QMAKE_LFLAGS_RELEASE = ""
+
 # If Qt is configured with embedded or QPA we set a convenience config
 # flag that can be used to test for either of these situations.
 contains(QT_CONFIG, qpa)|contains(QT_CONFIG, embedded): CONFIG += embedded
diff -urNB orig.webkit-qtwebkit-23/Tools/Tools.pro webkit-qtwebkit-23/Tools/Tools.pro
--- orig.webkit-qtwebkit-23/Tools/Tools.pro	2013-04-07 15:18:00.772038268 +0200
+++ webkit-qtwebkit-23/Tools/Tools.pro	2013-04-07 15:14:49.539429004 +0200
@@ -7,6 +7,10 @@
 TEMPLATE = subdirs
 CONFIG += ordered
 
+QMAKE_CFLAGS_RELEASE = ""
+QMAKE_CXXFLAGS_RELEASE = ""
+QMAKE_LFLAGS_RELEASE = ""
+
 !no_webkit1 {
     SUBDIRS += QtTestBrowser/QtTestBrowser.pro
     contains(DEFINES, HAVE_QTTESTLIB=1): SUBDIRS += DumpRenderTree/qt/DumpRenderTree.pro
